com.tibco.bpm.service.connector

## Class OrganisationalEntityConfigService

- java.lang.Object
- - com.tibco.bpm.service.connector.OrganisationalEntityConfigService

- All Implemented Interfaces:
    OrganisationalEntityConfigService

      public class OrganisationalEntityConfigService
      extends java.lang.Object
      implements OrganisationalEntityConfigService

  Provides access to the OrganisationalEntityConfigService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deleteOrgEntityConfigAttributes(java.lang.String[] attributeNames, java.lang.String resourceId)` Deletes one or more attributes for a given resource.
    `com.tibco.n2.brm.api.OrgEntityConfigAttribute[]` | `getOrgEntityConfigAttributes(java.lang.String resourceId)` Returns the attributes that are currently set for a given resource.
    `com.tibco.n2.brm.api.OrgEntityConfigAttributesAvailable[]` | `getOrgEntityConfigAttributesAvailable(int startPos, int numberOfItems)` Returns all the available attributes that can be used.
    `boolean` | `setOrgEntityConfigAttributes(com.tibco.n2.brm.api.OrgEntityConfigAttributeSet[] attributes, java.lang.String resourceId)` Sets one or more attributes for a given resource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### deleteOrgEntityConfigAttributes

          public boolean deleteOrgEntityConfigAttributes(java.lang.String[] attributeNames,
                                                         java.lang.String resourceId)
                                                  throws com.tibco.n2.brm.services.InternalServiceFault,
                                                         com.tibco.n2.brm.services.InvalidEntityFault,
                                                         com.tibco.n2.brm.services.ReadOnlyAttributeFault

      Description copied from interface: `OrganisationalEntityConfigService`
      Deletes one or more attributes for a given resource.
      Specified by:
        `deleteOrgEntityConfigAttributes` in interface `OrganisationalEntityConfigService`
      Parameters:
        `attributeNames` - the list of attribute names to delete
        `resourceId` - the resource id
      Returns:
        returns `true` if successful, otherwise `false`
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.ReadOnlyAttributeFault`

    - #### getOrgEntityConfigAttributes

          public com.tibco.n2.brm.api.OrgEntityConfigAttribute[] getOrgEntityConfigAttributes(java.lang.String resourceId)
                                                                                       throws com.tibco.n2.brm.services.InternalServiceFault,
                                                                                              com.tibco.n2.brm.services.InvalidEntityFault

      Description copied from interface: `OrganisationalEntityConfigService`
      Returns the attributes that are currently set for a given resource. It returns the attribute name, value and whether it is read only or not.
      Specified by:
        `getOrgEntityConfigAttributes` in interface `OrganisationalEntityConfigService`
      Parameters:
        `resourceId` - the resource id
      Returns:
        returns a list of objects containing the attribute information
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`

    - #### getOrgEntityConfigAttributesAvailable

          public com.tibco.n2.brm.api.OrgEntityConfigAttributesAvailable[] getOrgEntityConfigAttributesAvailable(int startPos,
                                                                                                                 int numberOfItems)
                                                                                                          throws com.tibco.n2.brm.services.InternalServiceFault

      Description copied from interface: `OrganisationalEntityConfigService`
      Returns all the available attributes that can be used. This returns a subset of the attributes returned by calling `getOrgEntityConfigAttributes`, including the name, description and whether it is read only. The only attribute from the list above that is not returned, it is regarded as private, is WorkItemFilterCriteriaPARSED.
      Specified by:
        `getOrgEntityConfigAttributesAvailable` in interface `OrganisationalEntityConfigService`
      Parameters:
        `startPos` - the starting position
        `numberOfItems` - the number of items to return
      Returns:
        returned a list of objects containing the attribute information
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### setOrgEntityConfigAttributes

          public boolean setOrgEntityConfigAttributes(com.tibco.n2.brm.api.OrgEntityConfigAttributeSet[] attributes,
                                                      java.lang.String resourceId)
                                               throws com.tibco.n2.brm.services.InternalServiceFault,
                                                      com.tibco.n2.brm.services.ReadOnlyAttributeFault,
                                                      com.tibco.n2.brm.services.InvalidEntityFault

      Description copied from interface: `OrganisationalEntityConfigService`
      Sets one or more attributes for a given resource. It will either create a new attribute or update an existing one.
      Specified by:
        `setOrgEntityConfigAttributes` in interface `OrganisationalEntityConfigService`
      Parameters:
        `attributes` - the list of attribute objects
        `resourceId` - the resource id
      Returns:
        returns `true` if successful, otherwise `false`
      Throws:
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.ReadOnlyAttributeFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.